package com.engine.recruit.wrapper;

import com.engine.common.util.ServiceUtil;
import com.engine.core.impl.Service;
import com.engine.recruit.service.RecruitPositionService;
import com.engine.recruit.service.impl.RecruitPositionServiceImpl;
import weaver.hrm.User;

import java.util.Map;

/**
 * @author:dxfeng
 * @createTime: 2023/10/09
 * @version: 1.0
 */
public class RecruitPositionWrapper extends Service {
    private RecruitPositionService getRecruitPositionService(User user) {
        return ServiceUtil.getService(RecruitPositionServiceImpl.class, user);
    }

    public Map<String, Object> updatePostInfo(Map<String, Object> param) {
        return getRecruitPositionService(user).updatePostInfo(param);
    }

    public Map<String, Object> getFormCondition(Map<String, Object> param) {
        return getRecruitPositionService(user).getFormCondition(param);
    }

    public Map<String, Object> releaseResumeJob(Map<String, Object> param) {
        return getRecruitPositionService(user).releaseResumeJob(param);
    }

    public Map<String, Object> saveAndReleaseResumeJob(Map<String, Object> param) {
        return getRecruitPositionService(user).saveAndReleaseResumeJob(param);
    }

    public Map<String, Object> closeResumeJob(Map<String, Object> param) {
        return getRecruitPositionService(user).closeResumeJob(param);
    }

    public Map<String, Object> refreshResumeJob(Map<String, Object> param) {
        return getRecruitPositionService(user).refreshResumeJob(param);
    }

    public Map<String, Object> getReportList(Map<String, Object> param) {
        return getRecruitPositionService(user).getReportList(param);
    }

    public Map<String, Object> setStepMsgConfig(Map<String, Object> param) {
        return getRecruitPositionService(user).setStepMsgConfig(param);
    }

}
